---
- name: Set dev environment
  hosts: all
  become: yes
  
  vars_files:
    - vars/main.yml
 
  roles:
      - role: java
      - role: nodejs 
      - role: mysql
      - role: apache
      - role: git
 
  pre_tasks:
    - name: Update the system
      yum:
        name: "*"
        state: latest
